# Version for i7-desktop
# .make_metadata.cfg 2024-07-08 13:55:23
#

#
# A sanity check value in case an episode number given is too big
#
max_epno = 9000

#
# This is where the script will look for the audio files for upload (if there
# are other "assets" it finds them itself)
#
#uploads = "/var/IA/uploads" # on the VPS and marvin
uploads = "/home/cendjm/HPR/IA/uploads"

#
# How a "standard" audio file name is made up
#
filetemplate = "hpr%04d.%s"

#
# How to fill in the "missing bit" in relative URLs
#
baseURL = "https://hackerpublicradio.org/"

#
# *** OBSOLETE ***
# If we need to fetch the MP3 version of the audio, which we do for older
# shows, these are under the 'local' directory. The 'eps' files are actually
# redirections to the IA. This is not normally used for the weekly uploads.
#
#URLtemplate = "http://hackerpublicradio.org/eps/%s"
#URLtemplate = "https://hackerpublicradio.org/local/%s"

#
# Printf/sprintf template for building an URL which points back to the current
# show on the HPR site.
#
sourceURLtemplate = "https://hackerpublicradio.org/eps/%s/index.html"

#
# If we are having to collect assets from the HPR server and upload them to
# the IA server we want the final product to be addressable according to the
# following URL template.
#
IAURLtemplate = "https://archive.org/download/%s/%s"

#
# We build a Bash script to perform the upload of files which aren't in the
# CSV generated by make_metadata. We used to use the plain 'ia upload' command
# but now we call a Bash function declared in the script which is slightly
# cleverer. We need to do this to get round the IA code's tendency to "derive"
# all audio, and in doing so strip any audio tags. We perform our own
# equivalent of "derive" *with* the tags and upload them telling the IA *not*
# to re-derive. Mostly it listens. There's also a whole thing about IA keeping
# history of deletions which we want to turn off otherwise our items become
# stuffed with unwanted garbage.
#
#iauploadtemplate = "ia upload %s %s --remote-name=%s"
iauploadtemplate = "Upload %s %s '%s' '%s'"
iauploadoptions = "--retries=5 --no-derive -H x-archive-keep-old-version:0"
